with (obj_collisionBox) {

    fixBox=physics_fixture_create();
    physics_fixture_set_polygon_shape(fixBox);
    physics_fixture_add_point(fixBox,0,0);
    physics_fixture_add_point(fixBox,id.sprite_width,0);
    physics_fixture_add_point(fixBox,id.sprite_width,id.sprite_height);
    physics_fixture_add_point(fixBox,0,id.sprite_height);
    
    physics_fixture_set_density(fixBox, 0);
    physics_fixture_bind(fixBox,id);
    physics_fixture_delete(fixBox)
}

with (obj_crate) {

    fixCrate=physics_fixture_create();
    physics_fixture_set_polygon_shape(fixCrate);
    physics_fixture_add_point(fixCrate,0,0);
    physics_fixture_add_point(fixCrate,id.sprite_width,0);
    physics_fixture_add_point(fixCrate,id.sprite_width,id.sprite_height);
    physics_fixture_add_point(fixCrate,0,id.sprite_height);
    
    physics_fixture_set_density(fixCrate, 5);
    physics_fixture_set_restitution(fixCrate,0.1);
    physics_fixture_bind_ext(fixCrate,id,16,16);
    physics_fixture_delete(fixCrate)
}

with (obj_doorR) {

    fixDoor=physics_fixture_create();
    physics_fixture_set_polygon_shape(fixDoor);
    physics_fixture_add_point(fixDoor,0,0);
    physics_fixture_add_point(fixDoor,id.sprite_width,0);
    physics_fixture_add_point(fixDoor,id.sprite_width,id.sprite_height);
    physics_fixture_add_point(fixDoor,0,id.sprite_height);
    
    physics_fixture_set_density(fixDoor, 0);
    physics_fixture_bind(fixDoor,id);
    physics_fixture_delete(fixDoor)
}

with (obj_doorB) {

    fixDoor=physics_fixture_create();
    physics_fixture_set_polygon_shape(fixDoor);
    physics_fixture_add_point(fixDoor,0,0);
    physics_fixture_add_point(fixDoor,id.sprite_width,0);
    physics_fixture_add_point(fixDoor,id.sprite_width,id.sprite_height);
    physics_fixture_add_point(fixDoor,0,id.sprite_height);
    
    physics_fixture_set_density(fixDoor, 0);
    physics_fixture_bind(fixDoor,id);
    physics_fixture_delete(fixDoor)
}


with (obj_player) {
    
    fixPlayer=physics_fixture_create();
    physics_fixture_set_polygon_shape(fixPlayer);
    physics_fixture_add_point(fixPlayer,0,0);
    physics_fixture_add_point(fixPlayer,27,0);
    physics_fixture_add_point(fixPlayer,27,50);
    physics_fixture_add_point(fixPlayer,0,50);
    
    physics_fixture_set_density(fixPlayer,10);
    physics_fixture_bind_ext(fixPlayer,id,13,63);
    physics_fixture_delete(fixPlayer);
    
    phy_fixed_rotation = true;
    
    wheel = instance_create(x,y,obj_wheel);
    
    with (wheel) {
        
        fixWheel=physics_fixture_create();
        physics_fixture_set_circle_shape(fixWheel,13);
        
        physics_fixture_set_friction(fixWheel, 50);
        physics_fixture_set_density(fixWheel, 7);
        physics_fixture_set_restitution(fixWheel,0.5);
        physics_fixture_bind(fixWheel,id);
        physics_fixture_delete(fixWheel);
        
        physics_joint_revolute_create(obj_player,id,x,y,0,0,0,0,0,0,0);
    }

}
