if keyboard_check(ord('D')) {

    obj_player.phy_speed_x = 5;
    global.playerDirection = 1;

} else if keyboard_check(ord('A')) {

    obj_player.phy_speed_x = -5;
    global.playerDirection = -1;
    
} else {
    global.playerDirection = 0;
}

if global.grav = 200 {
    if keyboard_check(vk_space) && position_meeting(obj_wheel.x,obj_wheel.y+20,obj_collisionParent) {
        obj_player.phy_speed_y = -17;
        
        if !audio_is_playing(snd_jump) {
            audio_play_sound(snd_jump, 9, false);
        }
        
        with(obj_wheel) { 
            particle1 = part_type_create();
            part_type_sprite(particle1,spr_puff,0,0,0);
            part_type_size(particle1,0.50,1.50,0,0);
            part_type_alpha3(particle1,0.57,0.55,0.02);
            part_type_speed(particle1,2,3,-0.30,0);
            part_type_direction(particle1,-180,0,0,0);
            part_type_gravity(particle1,0,270);
            part_type_orientation(particle1,0,0,0,0,0);
            part_type_blend(particle1,1);
            part_type_life(particle1,15,30);
            
            emitter1 = part_emitter_create(Sname);
            part_emitter_region(Sname,emitter1,x,x,y+13,y+13,0,0);
            part_emitter_burst(Sname,emitter1,particle1,10);
        }


    }
} else {
    if keyboard_check(vk_space) && position_meeting(obj_wheel.x,obj_wheel.y-20,obj_collisionParent) {
        obj_player.phy_speed_y = 17;
        
        if !audio_is_playing(snd_jump) {
            audio_play_sound(snd_jump, 9, false);
        }
        
        with(obj_wheel) { 
            particle1 = part_type_create();
            part_type_sprite(particle1,spr_puff,0,0,0);
            part_type_size(particle1,0.50,1.50,0,0);
            part_type_alpha3(particle1,0.57,0.55,0.02);
            part_type_speed(particle1,2,3,-0.30,0);
            part_type_direction(particle1,0,180,0,0);
            part_type_gravity(particle1,0,-270);
            part_type_orientation(particle1,0,0,0,0,0);
            part_type_blend(particle1,1);
            part_type_life(particle1,15,30);
            
            emitter1 = part_emitter_create(Sname);
            part_emitter_region(Sname,emitter1,x,x,y-13,y-13,0,0);
            part_emitter_burst(Sname,emitter1,particle1,10);
        }

    }
}

with (obj_wheel) {
    phy_angular_velocity = global.playerDirection;
    
    if global.playerDirection = 0 {
        alarm[0] = 3;
    } else {
        phy_fixed_rotation = false;
    }
}

if global.playerDirection !=0 {
    if global.grav = 200 {
        obj_player.image_xscale = global.playerDirection;
    } else if global.playerDirection = 1 {
        obj_player.image_xscale = -1;
    } else {
        obj_player.image_xscale = 1;
    }
}
